%global  basever 0.8.18

Name:           compizconfig-python
Version:        0.8.18
Release:    1%{?dist}
Summary:        Python bindings for the Compiz Configuration System
License:        LGPLv2+
URL:            https://gitlab.com/compiz/%{name}
Source0:        %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  libcompizconfig-devel >= %{basever}
BuildRequires:  glib2-devel
BuildRequires:  python3-devel
BuildRequires:  python3-Cython
BuildRequires:  libtool
BuildRequires:  automake
BuildRequires: make

Requires:       compiz >= %{basever}

%description
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains bindings to configure Compiz's
plugins and the composite window manager.

%prep
%setup -q -n %{name}-v%{version}

%build
export PYTHON=python3

./autogen.sh
%configure --disable-static

make %{?_smp_mflags} V=1

%install
%{make_install}
find %{buildroot} -type f -name "*.a" -o -name "*.la" | xargs rm -f


%files
%doc COPYING NEWS
%{python3_sitearch}/compizconfig.so
%exclude %{_libdir}/pkgconfig/compizconfig-python.pc


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.18-1
- initial build
